﻿<style>

    ul {
        list-style: none;
        margin: 0;
        padding: 0;
    }

    figure {
        margin: 0;
    }

    figcaption {
        font-style: italic;
        font-weight: bold;
        line-height: 1.4;
    }

    .grid {
        height: 100%;
        width: 100%;
        display: grid;
        grid-auto-flow: column;
        grid-auto-columns: 100%;
        grid-gap: 1em;
        -webkit-overflow-scrolling: touch;
        padding: 2em 1em;
        background: white;
        overflow-x:auto
    }

        .grid li {
            position: relative;
            /*  box-shadow: 0 1px 3px rgba(0,0,0,0.12), 0 1px 2px rgba(0,0,0,0.24);*/
            transition: all 0.1s;
            margin-bottom: 10px
        }


    .grid-item1 {
        width: 100%;
        height: 100%
    }

    .grid-item2 {
        width: 100%;
        height: 100%
    }



    .grid-item1:before, .grid-item1:before {
        position: absolute;
        content: "";
        top: 0px;
        left: 0px;
        width: 0%;
        height: 4px;
        background-color: #e5781a;
        z-index: 999999;
        -webkit-transition: all 1s ease;
        -moz-transition: all 1s ease;
        -o-transition: all 1s ease;
        transition: all 1s ease;
    }

    .grid-item1:after, .grid-item1:after {
        position: absolute;
        content: "";
        bottom: 0px;
        right: 0px;
        width: 0%;
        height: 4px;
        background-color: #e5781a;
        z-index: 999999;
        -webkit-transition: all 1s ease;
        -moz-transition: all 1s ease;
        -o-transition: all 1s ease;
        transition: all 1s ease;
    }

    .grid-item2:before, .grid-item2:before {
        position: absolute;
        content: "";
        bottom: 0px;
        left: 0px;
        width: 4px;
        height: 0%;
        background-color: #e5781a;
        z-index: 999999;
        -webkit-transition: all 1s ease;
        -moz-transition: all 1s ease;
        -o-transition: all 1s ease;
        transition: all 1s ease;
    }

    .grid-item2:after, .grid-item2:after {
        position: absolute;
        content: "";
        top: 0px;
        right: 0px;
        width: 4px;
        height: 0%;
        background-color: #e5781a;
        z-index: 999999;
        -webkit-transition: all 1s ease;
        -moz-transition: all 1s ease;
        -o-transition: all 1s ease;
        transition: all 1s ease;
    }

    .grid-item1:hover:before,
    .grid-item1:hover:after,
    .grid-item1:hover:before,
    .grid-item1:hover:after {
        width: 100%;
    }

    .grid-item1:hover .grid-item2:before,
    .grid-item1:hover .grid-item2:after,
    .grid-item1:hover .grid-item2:before,
    .grid-item1:hover .grid-item2:after {
        height: 100%;
    }







    @media all and (min-width: 600px) {
        .grid {
            grid-auto-flow: initial;
            grid-template-columns: repeat(auto-fit, minmax(auto, 20em));
            justify-content: center;
        }
    }

    .grid__figure {
        display: grid;
        grid-template-rows: 15em 1fr;
    }

        .grid__figure img {
            width: 100%;
            height: 100%;
            object-fit: cover;
        }


    .swiper-container {
        width: 100%;
        height: 100%;
        margin: 5px 0px
    }

    .swiper-slide {
        text-align: center;
        padding: 0px 10px;
        background: #fff;
        height: 360px;
        width: 100%;
        font-size: 14px;
        /* Center slide text vertically */
        display: -webkit-box;
        display: -ms-flexbox;
        display: -webkit-flex;
        display: flex;
        -webkit-box-pack: center;
        -ms-flex-pack: center;
        -webkit-justify-content: center;
        justify-content: center;
        -webkit-box-align: center;
        -ms-flex-align: center;
        -webkit-align-items: center;
        align-items: center;
        border: 1px solid #e8e8e8;
        transition-delay: 0.5s;
        cursor: pointer
    }


    .product_item img {
        width: 100%;
        height: 100%;
        padding: 0px 10px
    }

    .product_item h3 {
        font-size: 18px
    }

    .product_item h4 {
        font-size: 14px
    }




    .back-img {
        width: 100%;
        height: 50px;
        cursor: pointer
    }

        .back-img h4 {

            height: 100%;
            float: right;
            display: inline-block;
            padding: 20px 10px;
            font-weight: bold;
           
        }
            .back-img h4 i {
                color: #f5a21f;
                font-size: 25px!important
            }

          
</style>


<div style="background:url(../../../Assets/apphome/images/top_bg002.jpg)">
    <div class="pading_top"></div>
    <div class=" container-fluid ">
        <div class="row fromat_text">
            <div class="col-md-12">
                <h1 ng-show="showAlbum==false">ALBUM HÌNH ẢNH</h1>
                <h1 ng-show="showAlbum==true">ALBUM HÌNH ẢNH {{AlbumHinhAnh[0].TenCoSo|uppercase}} </h1>
            </div>
        </div>
    </div>

    <div class=" container ">
        <!--<div class="row ">
            <div class="col-md-12">
                <div class="img" ng-repeat="i in DanhSachHinhAnh">
                    <a href="h1.jpg" target="_blank">

                        <img src="../../..{{i.HinhAnh}}" />
                    </a>
                    <div class="desc"><h1>{{i.TenCoSo}}</h1></div>
                </div>




            </div>
        </div>-->
        <div class="back-img" ng-click="back_img()" ng-show="showAlbum==true"><h4><i class="fas fa-arrow-alt-circle-left"></i></h4></div>
        <ul class="grid" >
            <li ng-if="showAlbum==false" ng-repeat="i in DanhSachHinhAnh" ng-click="chage_image(i)">
                <figure class="grid__figure">
                    <span class="grid-item1">
                        <span class="grid-item2">
                            <img src="http://hoanggiang.mekong-tech.com{{i.HinhAnh}}">
                            <figcaption>{{i.TenCoSo}}</figcaption>
                        </span>
                    </span>
                </figure>
            </li>
            <li ng-if="showAlbum ==true" ng-repeat="i in AlbumHinhAnh">
                <figure class="grid__figure">
                    <span class="grid-item1" ng-click="clickimg_product()">
                        <span class="grid-item2">
                            <img id="img_product" src="http://hoanggiang.mekong-tech.com{{i.HinhAnh}}">
                            <figcaption>{{i.TenCoSo}}</figcaption>
                        </span>
                    </span>

                </figure>
            </li>

        </ul>

    </div>



    <div class="pading_top"></div>
    <div class=" container-fluid ">
        <div class="row fromat_text">
            <div class="col-md-12">
                <h1> HÌNH ẢNH NỔI BẬT</h1>
            </div>
        </div>
    </div>
    <div class=" container ">

        <!-- Swiper -->
        <div class="swiper-container">
            <div class="swiper-wrapper">
                <div class="swiper-slide" ng-repeat="item in DanhSachHinhAnh" ng-click="chage_image(item)">

                    <div class="product_item">
                        <span>
                            <img ng-src="http://hoanggiang.mekong-tech.com{{item.HinhAnh}}" />
                            <h3 style="color:#1654aa">{{item.TenCoSo}}</h3>
                            <!--<h4>Địa chỉ: {{item.DiaChi}}</h4>
                        <h5 style="color:red">Hotline: 19001966</h5>
                        <h4>Website: https://vitquayso1.vn</h4>-->
                        </span>

                    </div>

                </div>
            </div>
            <!-- Add Pagination -->
            <!--<div class="swiper-pagination"></div>-->
            <!-- Add Arrows -->
            <div class="swiper-button-next"></div>
            <div class="swiper-button-prev"></div>
        </div>
       
        <!-- Swiper JS -->
    </div>





</div>

<div id="popup-all" style=" pointer-events: none" ng-show="img_product">
    <div class="container-fluid">
        <div class="row">
            <a href="" target="__blank">
                <img id="myImg" src="" />
            </a>

        </div>
    </div>
</div>

